package com.iamberry.wechat.core.entity.channel;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;

import  java.util.Date;
import  java.io.Serializable;
/**
 *  渠道对应产品返利价格表类
 * @author xm
 * @Date 2018-07-24
 */
public class ChannelPrice  implements  Serializable{
    private static final long serialVersionUID = -7811073771382403898L;
    //返利价格id
    private Integer channelPriceId;
    //返利渠道类型 1:主渠道 2:子渠道
    private Integer channelType;
    //渠道id
    private Integer channelId;
    //产品id
    private Integer productId;
    //颜色id
    private Integer colorId;
    //优惠价价格
    private Integer channelPriceOffer;
    //原价 划线价
    private Integer channelOriginalPrice;
    //返利金额
    private Integer channelRebateAmount;

    private Integer channelRebateType;

    //状态：1使用中 2：未使用
    private Integer channelPriceStatus;
    //创建时间
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern="yyyy-MM-dd",timezone = "GMT+8")
    private Date channelPriceCreateTime;
    //修改时间
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern="yyyy-MM-dd",timezone = "GMT+8")
    private Date channelPriceUpdateTime;

    public Integer getChannelPriceId(){
        return channelPriceId;
    }

    public void setChannelPriceId(Integer  channelPriceId){
        this.channelPriceId=channelPriceId;
    }

    public Integer getChannelType(){
        return channelType;
    }

    public void setChannelType(Integer  channelType){
        this.channelType=channelType;
    }

    public Integer getChannelId(){
        return channelId;
    }

    public void setChannelId(Integer  channelId){
        this.channelId=channelId;
    }

    public Integer getProductId(){
        return productId;
    }

    public void setProductId(Integer  productId){
        this.productId=productId;
    }

    public Integer getColorId(){
        return colorId;
    }

    public void setColorId(Integer  colorId){
        this.colorId=colorId;
    }

    public Integer getChannelPriceOffer(){
        return channelPriceOffer;
    }

    public void setChannelPriceOffer(Integer  channelPriceOffer){
        this.channelPriceOffer=channelPriceOffer;
    }

    public Integer getChannelOriginalPrice(){
        return channelOriginalPrice;
    }

    public void setChannelOriginalPrice(Integer  channelOriginalPrice){
        this.channelOriginalPrice=channelOriginalPrice;
    }

    public Integer getChannelRebateAmount(){
        return channelRebateAmount;
    }

    public void setChannelRebateAmount(Integer  channelRebateAmount){
        this.channelRebateAmount=channelRebateAmount;
    }

    public Integer getChannelPriceStatus(){
        return channelPriceStatus;
    }

    public void setChannelPriceStatus(Integer  channelPriceStatus){
        this.channelPriceStatus=channelPriceStatus;
    }

    public Date getChannelPriceCreateTime(){
        return channelPriceCreateTime;
    }

    public void setChannelPriceCreateTime(Date  channelPriceCreateTime){
        this.channelPriceCreateTime=channelPriceCreateTime;
    }

    public Date getChannelPriceUpdateTime(){
        return channelPriceUpdateTime;
    }

    public void setChannelPriceUpdateTime(Date  channelPriceUpdateTime){
        this.channelPriceUpdateTime=channelPriceUpdateTime;
    }
}